return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local angle = percent*math.pi/2
    local dir, i_pos, itx
    local icon_x = page[1].x
    local icon_w = page[1].width
    local between_x = page[2].x - page[1].x

    page:translate(offset)

    if( percent < 0 ) then
        page:scale(0)
    else
        for i, icon in subviews(page) do
            local center = (page.max_columns-1)/2
            local i_num = (i-1) % page.max_columns
            if ( i_num < center ) then 
                do
                    dir = -1
                    i_pos = i_num
                end
            else 
                do
                    dir = 1
                    i_pos = page.max_columns-1 - i_num
                end
            end
            itx = (icon_x+icon_w/2+between_x*i_pos)*dir
            icon:translate( itx )
            icon:rotate(-dir*angle, 0, 1, 0)
            icon:translate( -itx )
        end
    end
end
